Subject: Path forward for NFC in the kernel

From: Jakub Kicinski <[email-masked]>
Date: Thu, 16 Apr 2026 10:10:41 -0700

Hi folks!

We are struggling to keep up with the number of security reports and AI
generated patches in the kernel. NFC is infamous for being a huge CVE
magnet. We need someone to step up as a maintainer, create an NFC tree
and handle all the incoming submissions. Send us (or Linus if you
prefer) periodic PRs, like WiFi, Bluetooth etc. do. If that does not
happen I'm afraid we'll have to move the NFC code out of the tree, 
put it up on GH or some such, and let it accumulate CVEs there..

I'm planning to send a PR to Linus to shed the unmaintained code early
next week. We need to have a maintainer established by then.